%define name bootsplash
%define version 2.1.5
%define release 1mdk
%define _bootdir /boot

Summary: The Boot Splash Images and scripts
Name: %{name}
Version: %{version}
Release: %{release}
# From MDK cvs.
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Url: http://www.linux-mandrake.com/cgi-bin/cvsweb.cgi/soft/bootsplash/
Requires: /usr/bin/perl
Requires: mkinitrd > 3.1.6-25mdk
#there is no way to say a special kernel requires.
Requires: kernel initscripts > 7.04-15mdk
Obsoletes: Aurora Aurora-Monitor-NewStyle-Categorizing-WsLib Aurora-Monitor-NewStyle-WsLib Aurora-Monitor-Traditional-Gtk+ Aurora-Monitor-Traditional-WsLib-8.2
BuildRequires: freetype2-static-devel libmng-static-devel libjpeg-static-devel glibc-static-devel
Patch: glibc-fixed-header.tar.bz2
# nomore noarch with the fbrelolution and progress binaries
#BuildArchitectures: noarch

%description
This package contains the scripts and pictures visible when booting a
Mandrake kernel.  They are automatically installed when an initrd is
generated by mkinitrd.

%prep
%setup -q

%build
make LIB=%{_lib}

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT

install -m 755 -d $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

for i in fbmngplay fbtruetype 
do
   cp $i/ChangeLog $i/ChangeLog.$i
   cp $i/README $i/README.$i
done

#find $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/ $RPM_BUILD_ROOT/%_datadir/%{name}/ -not -path "*/themes/Mandrake/*" -not -path "*/scripts/*" -type f |
#  sed -e "s#^$RPM_BUILD_ROOT##g" > rpm-themes-files

install -d -m755 $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/themes
install -d -m755 $RPM_BUILD_ROOT%{_datadir}/%{name}/themes

%find_lang bootsplash

%post
# Add right translation file
for i in `echo $LANGUAGE:$LC_ALL:$LC_COLLATE:$LANG:C | tr ':' ' '`
do      
        if [ -r %{_datadir}/locale/$i/LC_MESSAGES/bootsplash.mo ]; then
                mkdir -p /etc/locale/$i/LC_MESSAGES/
                cp %{_datadir}/locale/$i/LC_MESSAGES/bootsplash.mo \
                        /etc/locale/$i/LC_MESSAGES/
                break
        fi
done
    
%clean
rm -rf $RPM_BUILD_ROOT
%files -f %name.lang
%defattr(-,root,root)
%doc README ChangeLog fbmngplay/ChangeLog.fbmngplay fbmngplay/README.fbmngplay fbtruetype/ChangeLog.fbtruetype fbtruetype/README.fbtruetype
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/themes
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/themes
%{_datadir}/%{name}/scripts
#%_datadir/%{name}/themes/Mandrake
#%config(noreplace) %_sysconfdir/%{name}/themes/Mandrake/*
/bin/*
/sbin/*
%{_bindir}/*

%changelog
* Fri Mar 19 2004 Warly <warly@mandrakesoft.com> 2.1.5-1mdk
- add Olivier Blin fixes to handle symbolic link into detect-resolution

* Tue Feb 24 2004 Olivier Blin <blino@mandrake.org> 2.1.4-2mdk
- DIRM %%{_datadir}/%%{name}/themes
- DIRM %%{_sysconfdir}/%%{name}/themes

* Tue Feb 10 2004 Warly <warly@mandrakesoft.com> 2.1.4-1mdk
- simplify detect-resolution to have a better interaction with drakboot

* Fri Feb 06 2004 Warly <warly@mandrakesoft.com> 2.1.3-1mdk
- add Olivier Blin patches to fix THEME= handling and quotes in lilo name
- remove \d+xx\d+ like detect-resolution output (to work with drakboot --splash)

* Wed Jan 21 2004 Warly <warly@mandrakesoft.com> 2.1.2-1mdk
- revert ttf.c to fix accent displaying during boot

* Wed Jan 21 2004 Warly <warly@mandrakesoft.com> 2.1.1-1mdk
- add blino fix to splash.sh (better THEME variable handling)
- NOTE: current bootsplash does not build against standrad glibc
kernel headers. They have to be fixed regarding some __KERNEL__ ifdef.
Modified headers used to build this packages are included into the src.rpm.

* Mon Jan  5 2004 Olivier Blin <blino@mandrake.org> 2.1.0-3mdk
- DIRM: %%{_sysconfdir}/%%{name} and %%{_datadir}/%%{name}

* Mon Jan  5 2004 Pixel <pixel@mandrakesoft.com> 2.1.0-2mdk
- make-boot-splash: don't run switch-themes DURING_INSTALL

* Tue Nov 18 2003 Warly <warly@mandrakesoft.com> 2.1.0-1mdk
- add Olivier Blin idea to rely on initrd to choose the correct resolution in detect-resolution

* Sun Sep 21 2003 Warly <warly@mandrakesoft.com> 2.0.6-1mdk
- fix bad make clean

* Thu Sep 18 2003 Warly <warly@mandrakesoft.com> 2.0.5-1mdk
- pablo fixes for japanese

* Fri Sep  5 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.4-1mdk
- 64-bit & lib64 fixes

* Thu Sep 04 2003 Warly <warly@mandrakesoft.com> 2.0.3-1mdk
- should have fix i18n during boot
- various fixes in swith-theme

* Sat Aug 16 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0.2-1mdk
- added support for other fonts, depending on the language
- now themes are in packages provinding mandrake_theme (warly)

* Fri Aug 01 2003 Warly <warly@mandrakesoft.com> 2.0.1-2mdk
- require to initscripts was not correct

* Fri Aug 01 2003 Warly <warly@mandrakesoft.com> 2.0.1-1mdk
- first vt is 0 and not 1 for bootsplash
- add locale

* Thu Jul 31 2003 Warly <warly@mandrakesoft.com> 2.0.0-2mdk
- some images paths where wrong

* Fri Feb 14 2003 Warly <warly@mandrakesoft.com> 2.0.0-1mdk
- bootsplsh v3
- add fbtruetype from bootsplash.org
- add fbmngplay from bootsplash.org
- add splash program from bootsplash.org
- add vt images

* Fri Feb 14 2003 Warly <warly@mandrakesoft.com> 1.4.1-1mdk
- new 1600x1200 image

* Fri Jan 31 2003 Warly <warly@mandrakesoft.com> 1.3.15-1mdk
- new images for 9.1

* Thu Aug 08 2002 Warly <warly@mandrakesoft.com> 1.3.14-1mdk
- add 640x480 resolution in make-boot-splash

* Fri Aug 02 2002 David BAUDENS <baudens@mandrakesoft.com> 1.3.13-2mdk
- Update images
- Fix make rpm
- Sync CVS and Cooker

* Fri Jul 26 2002 Warly <warly@mandrakesoft.com> 1.3.13.1mdk
- fix make-boot-splash because of deprecated () instead of $[]
- add hexa value matching for detect-resolution

* Thu Jul 25 2002 Warly <warly@mandrakesoft.com> 1.3.12-1mdk
- fix bug that makes mkinitrd to fail when no resolution is
found in /etc/lilo.conf

* Wed Jul 17 2002 Warly <warly@mandrakesoft.com> 1.3.11-1mdk
- new images

* Fri Mar 15 2002 Warly <warly@mandrakesoft.com> 1.3.10-1mdk
- add dams shading fix
- adjust progress bar geometry

* Wed Mar 13 2002 Warly <warly@mandrakesoft.com> 1.3.9-1mdk
- add Quel Qun fix for progress bar shading

* Fri Mar 08 2002 Warly <warly@mandrakesoft.com> 1.3.8-1mdk
- adjust progress bar in 800x600 mode

* Thu Mar 07 2002 Warly <warly@mandrakesoft.com> 1.3.7-1mdk
- obsolete Aurora
- new images
- update initrd (or try to)
- readd Ayo themes in separate packages

* Wed Mar 06 2002 David BAUDENS <baudens@mandrakesoft.com> 1.3.6-2mdk
- Remove non Mandrake's theme

* Sat Mar 02 2002 Warly <warly@mandrakesoft.com> 1.3.6-1mdk
- configure 1280x1024

* Fri Mar 01 2002 Warly <warly@mandrakesoft.com> 1.3.5-1mdk
- move cfg in /etc to have progress bar in rc.sysinit
- add new ln images
- configure progress bar location

* Tue Feb 26 2002 Warly <warly@mandrakesoft.com> 1.3.4-1mdk
- add new fb tools fbresolution and progress
- add progress bar configuration in Mandrake theme
- no more noarch

* Fri Feb 22 2002 Warly <warly@mandrakesoft.com> 1.3.3-1mdk
- new images for Mandrake theme
- text in right position for Mandrake theme

* Wed Feb 13 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.2-1mdk
- bootsplash.spec: Fix Requires on mkinitrd.
- bootsplash.spec: Update description with english words
  (ASkwar@DigitalProjects.com).

* Tue Feb 12 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.1-1mdk
- Add switch-themes to distributed files help a lot to make it works.

* Tue Feb 12 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3-1mdk
- Add support for lilo themes.
- scripts/detect-resolution: Remove the DURING_INSTALL, we get the
  vga from cmdline like the install does.

* Mon Feb 11 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2-1mdk
- Add Ayo theme.
- scripts/detect-resolution: Exist if the config file doen't exist,
   don't get information from cmdline when we are during instal

* Fri Feb  8 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1-1mdk
- Add themes support.

* Mon Feb  4 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0-1mdk
- First version.

# end of file
